class ChangePasswordRequest {
  String oldPassword = "";
  String newPassword = "";
  String email = "";

  ChangePasswordRequest({
    this.oldPassword = "",
    this.newPassword = "",
    this.email = "",
  });

  Map<String, dynamic> toMap() {
    return {
      'oldPassword': oldPassword,
      'newPassword': newPassword,
      'email': email,
    };
  }

  factory ChangePasswordRequest.fromMap(Map<String, dynamic> map) {
    return ChangePasswordRequest(
      oldPassword: map['oldPassword'],
      newPassword: map['newPassword'],
      email: map['email'],
    );
  }

  @override
  String toString() {
    return 'ChangePasswordRequest{oldPassword: $oldPassword, newPassword: $newPassword, email: $email}';
  }
}
